import React from "react";

import Highlighter from "react-highlight-words";

function ItemGazette(props) {
  const { title, description, summary } = props.data;
  const q = props.query.split(" ");

  console.log("check he");
  console.log(q);

  return (
    <div>
      <div className="card-view" style={{ marginBottom: 20 }}>
        <p className="item-title">{title}</p>
        {q[0] != "" ? (
          <>
            <Highlighter
              className="description-text"
              highlightClassName="YourHighlightClass"
              searchWords={q}
              autoEscape={true}
              textToHighlight={summary}
            />
            {/* {console.log(q)} */}
          </>
        ) : (
          <small>{summary}</small>
        )}
      </div>
    </div>
  );
}

export default ItemGazette;
