import React from "react";
import Dropdown from "react-bootstrap/Dropdown";

export default function MenuDropDown() {
  return (
    <div>
      <Dropdown className="d-inline mx-2">
        <Dropdown.Toggle id="dropdown-autoclose-true">Date</Dropdown.Toggle>

        <Dropdown.Menu>
          <Dropdown.Item href="#">30-07-2021</Dropdown.Item>
          <Dropdown.Item href="#">16-07-2021</Dropdown.Item>
          <Dropdown.Item href="#">09-07-2021</Dropdown.Item>
        </Dropdown.Menu>
      </Dropdown>

      <Dropdown className="d-inline mx-2">
        <Dropdown.Toggle id="dropdown-autoclose-true">Category</Dropdown.Toggle>

        <Dropdown.Menu>
          <Dropdown.Item href="#">General</Dropdown.Item>
          <Dropdown.Item href="#">Advertising</Dropdown.Item>
          <Dropdown.Item href="#">Legal</Dropdown.Item>
        </Dropdown.Menu>
      </Dropdown>

      <div className="d-inline mx-5"></div>
      <div className="d-inline mx-5"></div>
      <div className="d-inline mx-5"></div>
    </div>
  );
}
