import React, { Component } from "react";
import { Navbar, Nav } from "react-bootstrap";
import { NavLink } from "react-router-dom";

export default class Navigation extends Component {
  render() {
    return (
      <div>
        <Navbar bg="dark" expand="lg">
          <Navbar.Toggle aria-controls="basic-navbar-nav" />

          <Navbar.Collapse id="basic-Navbar-nav">
            <Nav>
              <NavLink className="d-inline p-2 bg-dark text-white" to="/">
                Latest
              </NavLink>
              <NavLink
                className="d-inline p-2 bg-dark text-white"
                to="/gazette"
              >
                All Gazettes
              </NavLink>
              <NavLink
                className="d-inline p-2 bg-dark text-white"
                to="/vacancy"
              >
                Vacancies
              </NavLink>
              <NavLink className="d-inline p-2 bg-dark text-white" to="/exam">
                Examinations
              </NavLink>
            </Nav>
          </Navbar.Collapse>
        </Navbar>
      </div>
    );
  }
}
